package cn.yufire.config.service.impl;

import cn.yufire.config.core.Refresh;
import cn.yufire.config.mongo.ConfigPo;
import cn.yufire.config.service.ConfigService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Yufire
 * @date 2021/3/17 17:09
 * @description 配置服务实现类
 */
@Service
@Slf4j
public class ConfigServiceImpl implements ConfigService {

    @Autowired
    private MongoTemplate mongoTemplate;

    /**
     * 刷新方法
     */
    @Override
    public void refresh() {
        // 从mongo中读取配置
        List<ConfigPo> configs = mongoTemplate.findAll(ConfigPo.class);
        // 因为我们mongo里目前就一个配置 所以就直接获取 configs下标0的数据了
        // 读取到的配置
        ConfigPo configPo = null;
        try {
            configPo = configs.get(0);
            String config = configPo.getConfig();
            Refresh.refresh(config, "核心配置");
        } catch (Exception e) {
            e.printStackTrace();
            log.error("MongoDB读取配置失败！请检查MongoDB中是否有配置信息！");
        }

    }
}
